Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455500 - Review Request: OpenGTL -- graphics transformation languages (used by krita2)
Summary: Review Request: OpenGTL -- graphics transformation languages (used by krita2)
Keywords:
Status: CLOSED DUPLICATE of bug 521166
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 455502
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 19:01 UTC by Matthew Woehlke
Modified: 2009-09-04 00:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-25 00:46:14 UTC


Attachments (Terms of Use)
.spec for OpenGTL package (deleted)
2008-07-28 17:04 UTC, Matthew Woehlke
no flags Details
.spec for OpenGTL package (deleted)
2008-08-07 18:47 UTC, Matthew Woehlke
no flags Details

Description Matthew Woehlke 2008-07-15 19:01:05 UTC
Description of problem:
Fedora 9 has no package for OpenGTL, nor is there currently any in Koji. OpenGTL
is required for a fully-functioning KOffice 2. Please add OpenGTL to Fedora 10.

Comment 1 Bill Nottingham 2008-07-15 19:08:23 UTC
Are you willing to maintain it?

Comment 2 Matthew Woehlke 2008-07-15 19:14:37 UTC
I might be if I could *build* it: cpack rpm generator doesn't want to work and
in four days of asking no one has answered my pleas for help. (Also, it's
currently unbuildable because of bug 455502 ;-).) However I don't know enough
what is involved in maintaining an rpm - especially from something cmake-based -
to give an educated answer.

(And if I'm not... krita2 is condemned to be broken?)

Comment 3 Rex Dieter 2008-07-15 19:15:07 UTC
I'll see about whipping something up.

Comment 4 Rex Dieter 2008-07-15 19:16:14 UTC
Matthew, if I got the ball rolling here, would you be interested in helping
comaintain the package?

Comment 5 Rex Dieter 2008-07-16 12:45:17 UTC
Err, when saying that, I kinda forgot that akademy is coming up real fast, so my
free time in the short term may be insufficient to get this out until after I
get back.

Comment 6 Matthew Woehlke 2008-07-16 22:41:05 UTC
Ok, I'll try to take a look when I get time. Meanwhile, with Eric Noulard's help
I managed to get cpack working; I have a usable RPM but said RPM is in gross
violation of about half of Fedora's packaging policies. My initial impression is
that it won't be possible to use cpack to make Fedora RPM's (though, I'm not
sure it would be desired anyway).

IOW I have a work-around for now so the urgency (for me, anyway) isn't quite so
high, but we still need a proper RPM for the eventual Fedora inclusion of
KOffice2. (And it would be very awesome if Fedora devs had an /official/ RPM, as
it seems there currently is not any official one for /any/ distro.)

Bug 455502 is still high priority, since it's blocking *any* build of OpenGTL on
x86_64.

Comment 7 Matthew Woehlke 2008-07-28 17:04:53 UTC
Created attachment 312796 [details]
.spec for OpenGTL package

Ok, looks like I'll be trying out the maintainer hat. I don't have an account
set up yet (will get to it as soon as I have time), but meanwhile here's the
.spec. No patches currently, so it should be trivial to build after wget'ting
the upstream source tarball, but note that bug 455502 is still blocking (so
expect it to fail on x86_64 unless using CyrilleB's rpm).

Comment 8 Matthew Woehlke 2008-07-28 17:11:34 UTC
Packaging note: last I checked, the non-OpenCTL implementation of painterly
colorspaces in krita2 (koffice 2.0+) was buggy (read: it crashed if you tried to
use it). I haven't checked if the situation is improved, but IIRC there was talk
about making OpenGTL a hard requirement for painterly spaces. Thus, we (Fedora)
need OpenGTL to prevent feature loss and/or stability issues.

Additionally, since the OpenGTL developer (Cyrille Berger) is also one of the
main krita developers, the level of dependency is likely to increase.

Comment 9 David Timms 2008-08-07 14:47:30 UTC
(In reply to comment #7)
> Created an attachment (id=312796) [details]
> .spec for OpenGTL package
> 
> Ok, looks like I'll be trying out the maintainer hat. I don't have an account
We can get the review rolling with a pre-review, even before you organize the fedoraproject account.

I'm sure you found the packaging guidelines in:
http://fedoraproject.org/wiki/PackageMaintainers#Packaging

And you should be referring to the process in:
http://fedoraproject.org/wiki/Package_Review_Process
, so please post the .spec and .src.rpm somewhere on the web, and explicitly provide the links in this bug, in the requested format, ie with description, and rpmlint status. Failing to perform the elementary stuff might suggest you aren't following these docs, which will make it difficult for both reviewers and yourself to get the package into an acceptable form.

In my view there are many reasons for the review:
- show that you have read/understood the guidelines
- ensure readable, maintainable, quality, integrated fedora packages
- that you would plan to babysit the package, rather than dump and run.
If you feel that parts of your spec may not meet the guidelines, show this knowledge by pointing those specific areas as you find them. There are many experience packager maintainers who can provide tips and improvements, to someone who shows they have a better Fedora as the goal, so good luck :-)

Comment 10 Matthew Woehlke 2008-08-07 18:47:40 UTC
Created attachment 313729 [details]
.spec for OpenGTL package

fix missing defattr, fixes rpmlint errors against srpm

Comment 11 Matthew Woehlke 2008-08-07 18:53:59 UTC
> We can get the review rolling with a pre-review, even before you organize the
fedoraproject account.

I have an account, but the CLA may need to go through my company's legal dept... otherwise so far I haven't done anything but create it.

> And you should be referring to the process in:
> http://fedoraproject.org/wiki/Package_Review_Process
> so please post the .spec and .src.rpm somewhere on the web, and explicitly
provide the links in this bug,

The .spec is already here: https://bugzilla.redhat.com/attachment.cgi?id=313729

I don't have anywhere to put the SRPM (and/or haven't figured out / set up FAS), but it's easily created:
cd ~/rpmbuild/SOURCES ; wget http://www.opengtl.org/download/OpenGTL-0.9.4.tar.bz2
cd ~/rpmbuild/SPECS ; wget https://bugzilla.redhat.com/attachment.cgi?id=313729
cd ~/rpmbuild/SPECS ; rpmbuild -bs OpenGTL.spec
(in appropriate directories, of course)

Or, is 163k small enough to just dump the SRPM in here as an attachment, also?

> in the requested format, ie with description,
and rpmlint status.

D'oh! Sorry about that! Trying again...
~/rpmbuild/RPMS/x86_64$ echo *
OpenGTL-0.9.4-1.fc9.x86_64.rpm OpenGTL-debuginfo-0.9.4-1.fc9.x86_64.rpm OpenGTL-devel-0.9.4-1.fc9.x86_64.rpm OpenGTL-libs-0.9.4-1.fc9.x86_64.rpm
~/rpmbuild/RPMS/x86_64$ rpmlint *
OpenGTL-devel.x86_64: W: no-documentation
OpenGTL-libs.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
~/rpmbuild/SRPMS$ rpmlint OpenGTL-0.9.4-1.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I'm not sure if the no-documentation warning is interesting? Should I just copy the same doc to -devel, -libs? Or is there a "normal" way to handle this I'm not familiar with?

Other than the above warnings, I've tried to follow the specs as close as possible (and as far as I can tell, I'm ok w.r.t. the ReviewGuidelines checklist), but as you know this is still my first package, so I'm still feeling my way around :-).

Note: I can't conveniently test with mock right now as I'm on x86_64 (see blocking bug 455502). I'm building locally with a fixed llvm package from Cyrille Berger. When I get time, I'll test it on my other (i686) machine that should build with the current rawhide llvm package.

Comment 12 David Timms 2008-08-09 13:48:43 UTC
(In reply to comment #11)
> > so please post the .spec and .src.rpm somewhere on the web, and explicitly
> provide the links in this bug,
> 
> The .spec is already here: https://bugzilla.redhat.com/attachment.cgi?id=313729
> 
> I don't have anywhere to put the SRPM (and/or haven't figured out / set up
> FAS), but it's easily created:

You could use a public upload server like: http://filebin.ca/, and post the link back here, please.

Note: As I  understand this is your first fedora package, the official review needs to be performed by a fedora sponsor; in the meantime I should be able to give some comments to help whip the package into shape if it needs it.

Comment 13 Jason Tibbitts 2008-08-09 13:55:31 UTC
The Fedora project can provide hosting if you have an account set up; you just need to ask and someone can flip the switch that will get things set up.  However, that can't be done until the CLA is completed.  In fact, I'd say this review might be a bit premature until you get past the CLA, because if you can't sign it due to issues with your company then you can't contribute packages to Fedora.

Comment 14 Rex Dieter 2008-09-25 16:26:05 UTC
fyi, koffice2 has been retargetted for F11 (at upstream's request).

otherwise, anxiously awaiting progress on the cla front.

Comment 15 Jason Tibbitts 2009-03-24 21:26:14 UTC
So this package recently popped back into the review queue when the bug blocking it was cleared.    However, I don't see any package to review here, and the submitter still hasn't gotten past the CLA.  Is anything happening with this package?  Should this ticket just be closed?

Comment 16 Matthew Woehlke 2009-03-25 00:05:41 UTC
*Someone* needs to package it, but I'm not going to be able to sign a CLA at my current employer.

Comment 17 Jason Tibbitts 2009-03-25 00:46:14 UTC
Then I'll close this as there's no package to review.

Comment 18 Matthew Woehlke 2009-03-25 15:24:33 UTC
So should I open another bug that the package is missing, or what?

Comment 19 Rex Dieter 2009-03-25 15:47:38 UTC
Yeah, when if we have someone willing/able to maintain this, I'd suggest opening a new and proper review.  Matthew, if you've got anything newer than what's posted here already, please send it my way... 

I'll get round-tuit before f12 (when koffice2 is estimated to land in fedora), unless someone else beats me to the punch.

Comment 20 Rex Dieter 2009-09-04 00:54:03 UTC
OK, the updated stuff, and submitted a new OpenGTL review, bug #521166

Comment 21 Rex Dieter 2009-09-04 00:54:27 UTC

*** This bug has been marked as a duplicate of bug 521166 ***


Note You need to log in before you can comment on or make changes to this bug.